CC	=	gcc
CFLAGS	=	-Wall
LDLIBS	=	-lm
PROGS	=	testvector2 simpletestvector2
D	=	$(shell pwd)
DIRNAME	=	$(shell basename $D)

all:	$(PROGS)

clean:
	/bin/rm -f $(PROGS) *.o core

tar:	clean mktar

mktar:
	echo making $(DIRNAME)
	cd ..; tar czf $(DIRNAME).tgz $(DIRNAME)

testvector2:	testvector2.o vector2.o testsupport.o

simpletestvector2:	simpletestvector2.o vector2.o

vector2.o:	vector2.h
simpletestvector2.o:	vector2.h
testsupport.o:	testsupport.h
testvector2.o:	vector2.h testsupport.h
